at.chipkarte.client.rez.soap

## Class SuchkriterienSelbstabgegebenePapierrezepte

- Object
- - at.chipkarte.client.rez.soap.SuchkriterienSelbstabgegebenePapierrezepte

-     public class SuchkriterienSelbstabgegebenePapierrezepte
      extends Object

  Suchkriterien für die Suche über die selbst abgegebenen Papierrezepte.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuchkriterienSelbstabgegebenePapierrezepte()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabedatumBis()` Einschränkung des Abgagedatums - bis.
    `String` | `getAbgabedatumVon()` Einschränkung des Abgabedatums - von.
    `String` | `getKvt()` KV-Träger.
    `String` | `getOrdinationsId()` Eindeutiger Bezeichner einer Ordination.
    `String` | `getSvnr()` Versicherungsnummer des Patienten.
    `void` | `setAbgabedatumBis(String abgabedatumBis)`
    `void` | `setAbgabedatumVon(String abgabedatumVon)`
    `void` | `setKvt(String kvt)`
    `void` | `setOrdinationsId(String ordinationsId)`
    `void` | `setSvnr(String svnr)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuchkriterienSelbstabgegebenePapierrezepte

          public SuchkriterienSelbstabgegebenePapierrezepte()

  - ### Method Detail

    - #### getSvnr

          public String getSvnr()

      Versicherungsnummer des Patienten.
      Format: 10-stellig
      Angabe: Kann.
      Returns:
        svnr

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getKvt

          public String getKvt()

      KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Code des KVT

    - #### setKvt

          public void setKvt(String kvt)

    - #### getOrdinationsId

          public String getOrdinationsId()

      Eindeutiger Bezeichner einer Ordination.
      Format: max. 19-Stellen
      Angabe: Kann.
      Returns:
        OrdinationsId

    - #### setOrdinationsId

          public void setOrdinationsId(String ordinationsId)

    - #### getAbgabedatumVon

          public String getAbgabedatumVon()

      Einschränkung des Abgabedatums - von.
      Format: TT.MM.JJJJ
      Angabe: Kann.
      Returns:
        Abgabedatum min

    - #### setAbgabedatumVon

          public void setAbgabedatumVon(String abgabedatumVon)

    - #### getAbgabedatumBis

          public String getAbgabedatumBis()

      Einschränkung des Abgagedatums - bis.
      Format: TT.MM.JJJJ
      Angabe: Kann.
      Returns:
        Abgabedatum max

    - #### setAbgabedatumBis

          public void setAbgabedatumBis(String abgabedatumBis)